---
title: "RegisterReactFormInputComponent"
generated: true
---


## registerReactFormInputComponent

<GenerationInfo sourceFile="packages/admin-ui/src/lib/react/src/register-react-form-input-component.ts" sourceLine="15" packageName="@vendure/admin-ui" />

Registers a React component to be used as a <a href='/reference/admin-ui-api/custom-input-components/form-input-component#forminputcomponent'>FormInputComponent</a>.

```ts title="Signature"
function registerReactFormInputComponent(id: string, component: ElementType): void
```
Parameters

### id

<MemberInfo kind="parameter" type={`string`} />

### component

<MemberInfo kind="parameter" type={`ElementType`} />

